gtk-im-libthai (0.2.1-8) unstable; urgency=medium

  * Update Vcs fields for migration to salsa.debian.org
  * Bump debhelper compat to level 11
  * Bump Standards-Version to 4.1.3 (no changes)
  * d/copyright: Update year on packaging
  * d/control: Add "Rules-Requires-Root: no"
    The build output has been verified to be bit-by-bit identical
    with and without.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 23 Feb 2018 15:51:57 +0700

gtk-im-libthai (0.2.1-7) unstable; urgency=medium

  * Don't depend on libgtk2.0-0
    gtk-im-libthai is only loaded by a GTK+ 2 apps
    which will already depend on GTK+ 2.
    This is part of an effort to not install gtk2 by default.
    - d/rules: Override dh_shlibdeps to exclude libgtk2.0-0
      Thanks Jeremy Bicha for the patch.  (Closes: #883744)
  * d/watch: Use HTTPS on watch URL [lintian]
  * Bump Standards-Version to 4.1.2 (no changes)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 15 Dec 2017 14:29:11 +0700

gtk-im-libthai (0.2.1-6) unstable; urgency=medium

  * Switch to debhelper compat level 10
    - d/compat: 9 -> 10
    - Bump debhelper B-Dep version to 10~
    - Drop dh-autoreconf B-Dep which is already pulled in by debhelper 10
  * Bump Standards-Version to 4.0.0 (no changes)
  * d/control: Update URLs
    - Use HTTPS in Vcs-Git, Vcs-Browser and Homepage URLs
    - Use cgit interface for Vcs-Browser
  * d/copyright: Update
    - Use HTTPS in Format URL
    - Update year for Debian packaging
  * d/watch: Watch both gz and xz upstream tarballs
  * Drop preinst used for removing old conffile.
    0.2.1-2 has been obsolete. Even oldstable ships 0.2.1-5.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Thu, 03 Aug 2017 15:30:21 +0700

gtk-im-libthai (0.2.1-5) unstable; urgency=medium

  * Use canonical anonscm URIs in Vcs-* fields.
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * debian/copyright: Update copyright years
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 13 Dec 2013 14:56:51 +0700

gtk-im-libthai (0.2.1-4) unstable; urgency=low

  * B-Dep on dpkg-dev 1.16.1, not 0.16.1.
  * Bump Standards-Version to 3.9.3 with changes
    - Update debian/copyright Format: URL to 'packaging-manuals' one.
  * Update copyright years
  * Build-dep on debhelper >= 9 and drop the lintian override

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 25 Mar 2012 11:20:44 +0700

gtk-im-libthai (0.2.1-3) unstable; urgency=low

  * Packaging moved to alioth, update Vcs-* accordingly
  * Point Homepage directly to linux.thai.net page
  * Add "Multi-Arch: same" to gtk3-im-libthai
  * debian/control, debian/copyright: Apply wrap-and-sort

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 24 Dec 2011 12:12:50 +0700

gtk-im-libthai (0.2.1-2) unstable; urgency=low

  * Switch to Multiarch for gtk3:
    - debian/gtk3-im-libthai.install: Install immodule at gtk+3 Multiarch dir
      (Closes: #651087)
    - Bump B-Dep on libgtk-3-dev to (>= 3.2.2-3), for Multiarch libdir
  * Switch from im-switch to im-config (See #649188, #650244): 
    - Replace the deprecated im-switch Recommends with im-config (>= 0.6)
    - debian/gtk[3]-im-libthai.preinst:
      Clean up old im-switch conffiles and xinput-th_TH alternatives links
    - debian/gtk[3]-im-libthai.{postinst,prerm}:
      Removed, as im-switch xinput-th_TH alternatives are now gone

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 06 Dec 2011 13:49:32 +0700

gtk-im-libthai (0.2.1-1) unstable; urgency=low

  * New upstream release
    - Multiarch-aware installation.
  * debian/copyright:
    - Use non-forwarding format URL. Bump to revision 202.
    - Upstream license is actually LGPL-2.1, not 2.0.
    - Add extended text for LGPL-2.1 and GPL-2.
    - Update copyright year for upstream source.
  * Build with hardening flags:
    - Bump debhelper compat to level 9.
    - B-Dep on dpkg-dev (>= 0.16.1~) for dpkg-buildflags.
    - B-Dep on debhelper (>= 8.9.0~) for dh_auto_configure that uses
      dpkg-buildflags.
    - debian/rules:
      + Use DEB_LDFLAGS_MAINT_APPEND to add --as-needed linker flag.
      + Add DEB_BUILD_MAINT_OPTIONS to also enable bindnow
    - Override package-needs-versioned-debhelper-build-depends lintian warning.
  * Multiarch support (gtk2 only):
    - Bump libgtk2.0-dev B-Dep to 2.24.5-4, first multiarch version.
    - Add "Pre-Depends: ${misc:Pre-Depends}"
    - Add "Multi-Arch: same"
    - Replace installation locations /usr/lib/ with /usr/lib/*/

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 20 Nov 2011 12:02:04 +0700

gtk-im-libthai (0.2.0-2) unstable; urgency=low

  * debian/gtk3-im-libthai.prerm: Fix typo in script.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 17 Jun 2011 21:52:24 +0700

gtk-im-libthai (0.2.0-1) unstable; urgency=low

  * debian/copyright:
    - Updated to DEP-5 rev 174.
    - Update copyright years.
  * New upstream release, with GTK+ 3 support
    - New subpackage gtk3-im-libthai
      + Split debian/{docs,install,postinst,prerm} into gtk-im-libthai.*
        and gtk3-im-libthai.*
      + Add im-switch/th-gtk3-im-libthai with the same contents as
        th-gtk-im-libthai, except DEPENDS.
      + Install im-switch files with debian/*.install instead of manually in
        debian/rules
      + gtk3-im-libthai.{postinst,prerm} installs/removes th-gtk3-im-libthai
        as an alternative for xinput-th_TH.
      + When both subpackages are installed at the same time, either
        th-gtk-im-libthai or th-gtk3-im-libthai alternative will result in
        the same IM Module name, and GTK+ 2/3 will load the correct versions
        from their corresponding directories.
    - Bump build-dep on libgtk2.0-dev to 2.21.8, according to upstream
    - Add libgtk-3-dev build-dep
  * debian/rules, debian/control:
    - Switch to dh 7 + dh-autoreconf
    - Use "-Wl,--as-needed" LDFLAGS, thus require dh-autoreconf (>= 4)
      with "--as-needed" option
    - Skip dh_makeshlibs to avoid meaningless shlibs files and ldconfig calls
  * Shorten long descriptions. Remove unnecessary messages.
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Fri, 17 Jun 2011 15:28:53 +0700

gtk-im-libthai (0.1.5-2) unstable; urgency=low

  * debian/rules: Fix failure to build twice in a row:
    - Fix typo '$(MAKE) maintainerclan'
    - Clean other changed files left over from 'make maintainer-clean'
    - 'config.status' depends on 'configure.in' instead of 'configure'

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 16 Jan 2010 18:41:02 +0700

gtk-im-libthai (0.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 27 Dec 2009 12:32:07 +0700

gtk-im-libthai (0.1.4-7) unstable; urgency=low

  * debian/control:
    - Update my e-mail address to @debian.org.
    - Drop DM-Upload-Allowed.
  * debian/copyright:
    - Update my e-mail address for debian/* to @debian.org.
  * debian/rules:
    - Run autoreconf instead of just updating config.{sub,guess}, as required
      by libtool
    - Run 'make maintainerclean' instead of 'make distclean' on clean target,
      to clear all autoconf-generated files
  * debian/control:
    - Build-Depends on libtool, automake, autoconf, for autoreconf.
    - Drop Build-Depends on autotools-dev
  * Switch to "3.0 (quilt)" source format.
  * Bump Standards-Version to 3.8.3 (no changes needed)

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sat, 12 Dec 2009 20:46:06 +0700

gtk-im-libthai (0.1.4-6) unstable; urgency=low

  * VCS moved from CVS to SVN; update Vcs-* fields accordingly.
  * Bump debhelper compat to level 7
    - Bump debian/compat to 7
    - Build-dep on debhelper (>= 7)
    - debian/rules:
      + Replace obsoleted 'dh_clean -k' with 'dh_prep'
      + Remove *-stamp clean-ups in clean target, as dh_clean now does it
  * debian/rules:
    - Drop dh_mkshlibs, as this package only provides unversioned loadable
      module, not what to be linked [lintian]
    - Define LDFLAGS outside the configure line, for easy adjustment
    - Override GTK_LIBS as reported by pkg-config, so that only required
      libraries are linked
  * Rebuild against libthai-dev 0.1.9-5, to get rid of libdatrie0 direct link.
  * debian/copyright:
    - Update format to proposal rev 454
    - Update copyright year for debian/*
  * Bump standards version to 3.8.1, no change needed.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Thu, 02 Apr 2009 14:13:02 +0700

gtk-im-libthai (0.1.4-5) unstable; urgency=low

  * debian/control:
    - Add Vcs-Cvs, Vcs-Browser, Homepage info
    - Drop -1 from all versioned build-deps
    - Add DM-Upload-Allowed
  * debian/rules:
    - Do not ignore "make distclean" errors
    - Update config.{guess,status} before configure, and clean it up on clean
      target, so the changes are not included in .diff.gz.
  * debian/copyright: Rewrite in machine-interpretable format.
  * debian/watch: Fix watch pattern so that only *.tar.gz is matched, not
    *.tar.gz.md5sum.
  * Bump standards version to 3.8.0, no change needed.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Fri, 13 Jun 2008 15:59:07 +0700

gtk-im-libthai (0.1.4-4) unstable; urgency=low

  * Merge changes from Ubuntu:
    - debian/control: recommends im-switch.
    - debian/im-switch/th-gtk-im-libthai, debian/rules: im-switch config file.
    - debian/postinst, debian/prerm: update alternative.
  * debian/rules: pass --host=$(DEB_HOST_GNU_TYPE) to configure only when
    cross compiling.
  * Bump standards version to 3.7.2.2, no change needed.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Wed, 23 May 2007 15:12:59 +0700

gtk-im-libthai (0.1.4-3) unstable; urgency=medium

  * Urgency medium due to RC bug fix.
  * Switch to dh_gtkmodules for GTK+ 2.10 transition. Closes: #419304.
    - debian/control: Bump Build-Depends libgtk2.0-dev >= 2.10.1-1.
      Drop dependency on libgtk2.0-bin.
    - debian/postinst, debian/postrm: Removed.
    - debian/rules: Call dh_gtkmodules.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 15 Apr 2007 21:31:25 +0700

gtk-im-libthai (0.1.4-2) unstable; urgency=high

  * Urgency high due to RC bug fix.
  * debian/postrm:
    - Check for update-gtk-immodules existence before calling it.
      Closes: #416759.
  * debian/install:
    - Use wildcard for GTK+ binary version directory instead of hard-coding.
  * debian/dirs:
    - Remove, unneeded.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Fri, 30 Mar 2007 21:51:36 +0700

gtk-im-libthai (0.1.4-1) unstable; urgency=low

  * New upstream release.
    - Better support for text input when surrounding text is mixed with other 
      language
    - Clean up configure and build system
    - Fix compiler warnings
  * Bumped standard version to 3.7.2, no changes needed.
  * Added watch file.
  * Reverted build-dependency on libgtk2.0-bin introduced in NMU, as it's now
    unneeded by new upstream. (Actually closes: #384360)
  * Added dependency on libgtk2.0-bin, and used update-gtk-immodules instead
    of directly calling gtk-query-immodules-2.0 in postinst and postrm.
  * Replaced hard-coded depends with ${shlibs:Depends} and ${misc:Depends}.
  * Fixed debian/dirs so it creates correct dir.
  * Do not install *.la files.
  * Removed unused dh_installexamples and dh_installman from debien/rules.
  * Added back config.sub and config.guess replacements.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Thu, 14 Sep 2006 15:30:19 +0700

gtk-im-libthai (0.1.3-3.1) unstable; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source.
  * Added libgtk2.0-bin as build-dependency.  Thanks to Aurelien Jarno for the
    report (Closes: #384360)

 -- Margarita Manterola <marga@debian.org>  Thu, 31 Aug 2006 14:15:45 -0300

gtk-im-libthai (0.1.3-3) unstable; urgency=low

  * actually close ITP bug (Closes: #358544) 
  * debian/rules:
    - removed commented debhelper instructions

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 27 Mar 2006 18:07:48 +0700

gtk-im-libthai (0.1.3-2) unstable; urgency=low

  * initial debian version
  * debian/control:
    - changed standard version to 3.6.2.2
  * debian/rules:
    - removed replacement of upstream's config.sub and config.guess
  * debian/copyright:
    - mentioned system file for LGPL-2
  * debian/docs:
    - removed zero-byte README until upstream ships a meaningful file

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Tue, 21 Mar 2006 18:23:28 +0700

gtk-im-libthai (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Tue, 14 Mar 2006 01:00:34 +0700

gtk-im-libthai (0.1.2-1) unstable; urgency=low

  * Initial Release.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Sun, 17 Apr 2005 14:19:16 +0700

